#!/bin/bash
if [ "$1" == "" ]
then
  echo "uasge: $0 [versionnumber]"
else
  wget http://www.gnu.org/licenses/gpl-3.0.txt -O LICENSE
  make clean
  qmake -config release
  make
  lrelease qmetrics.pro
  cp -f /usr/lib/libQtGui.so.4 .
  cp -f /usr/lib/libQtCore.so.4 .
  tar -cf qmetrics-$1.tar \
          README LICENSE \
          qmetrics \
          qmetrics.sh \
          install.sh \
          libQt* \
          tr/*.qm
  gzip -f qmetrics-$1.tar
  make clean
  rm -rf tr/*.qm \
         libQt* \
         src/cmetrics \
         qmetrics
  tar -cf qmetrics-$1-src.tar \
          README LICENSE \
          Makefile \
          doc \
          src \
          tr \
          *.sh \
          *.pro
  gzip -f qmetrics-$1-src.tar
fi