/****************************************************************************
Copyright (C) 2010 Laszlo Simon <laszlo.simon@gmail.com>
This file is part of the QMETRICS project.

QMETRICS is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation version 3 of the License.

QMETRICS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with QMETRICS. If not, see <http://www.gnu.org/licenses/>.

See http://www.illusions.hu for further details.
*****************************************************************************/

#include "cm_units.h"
#include "cm_tabs.h"

/** Array of tab definitions */
const sTab tabs[eTabNum] = 
{
#ifdef  TAB
#undef  TAB
#endif
#define TAB(key,name,groupname,base,contact,conversion) { eTab##key, name, groupname, eUnit##base, eUnit##contact, eUnit##conversion },
#include "cm_tabs.inc"
};

/** LookUp for tab of given unit */
eTab tabID(eUnit unit)
{
  int tab;
  
  for (tab = 0; tab < eTabNum; tab++)
  {
    if (tabs[tab].base == unit)
    {
      return((eTab)tab);
    }
  }
  return(eTabNum);
}
