#include <QtGui/QApplication>
#include <QSplashScreen>
#include <QTranslator>
#include <QLocale>
#include <cstdio>
#include "qm_mainwnd.h"


int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    
    QString locale = QLocale::system().name();
    QTranslator translator;
    translator.load(QString("tr/qmetrics-")  + locale);
    a.installTranslator(&translator);
    
    qm_mainwnd w;
    w.show();

    return a.exec();
}
