#ifndef QM_MAINWND_H
#define QM_MAINWND_H

#include <QMainWindow>
#include <QLineEdit>
#include "cm_units.h"
#include "cm_tabs.h"

namespace Ui {
    class qm_mainwnd;
}

class qm_mainwnd : public QMainWindow {
    Q_OBJECT
public:
    qm_mainwnd(QWidget *parent = 0);
    ~qm_mainwnd();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::qm_mainwnd *ui;
    QLineEdit *lineEdits[eUnitNum];
    QLineEdit *params[eTabNum];

private slots:
    void on_anyLineEdit_textEdited(const QString &unit);
    void on_actionAbout_triggered();
    //void on_dockWidget_visibilityChanged(bool visible);
};

#endif // QM_MAINWND_H
